Thanks for choosing Wahoo!

What Android devices are compatible with the ELEMNT?

Android System Requirements:

  1. A device with a Bluetooth 4.0 (Smart) radio
  2. An Android device running version 4.4 or newer that allows Third Party App Access to the Bluetooth 4.0 (Smart) Radio

Compatible Devices:

Most Android devices running Android 4.4 or newer and with Bluetooth 4.0 will work. However, Wahoo Fitness has not tested complete compatibility with all devices. Please download the Companion App from the Google Play Store to ensure that it installs on your device before purchasing a product.

*Huawei phones are not compatible with the Companion App and will not be able to connect to the ELEMNT.

Contact Support

Submit a ticket now

Phone Support

+49 30 568 373827

Mo & Do: 8 - 12, 16 - 19
Di: 15 - 19
Mi & Fr: 8 - 12

Chat Support

Open a chat session

(M - F) 10am - 7pm EDT

Powered by Zendesk